Last Comment Bug 814799 - Invite Attendees dialog: lists do not work, only first list member is added
: Invite Attendees dialog: lists do not work, only first list member is added
Status: RESOLVED FIXED
: regression
Product: Calendar
Classification: Client Software
Component: Dialogs (show other bugs)
: Lightning 1.9
: All All
: -- major with 1 vote (vote)
: 1.9.1
Assigned To: Decathlon
:
Mentors:
: 817314 817953 828273 828551 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-23 15:30 PST by Werner Huppertz
Modified: 2013-07-03 12:57 PDT (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch - v1 (968 bytes, patch)
2013-02-05 08:48 PST, Decathlon
matthew.mecca: review+
matthew.mecca: approval‑calendar‑aurora+
matthew.mecca: approval‑calendar‑beta+
matthew.mecca: approval‑calendar‑esr+
Details | Diff | Review

Description Werner Huppertz 2012-11-23 15:30:04 PST
User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:16.0) Gecko/20100101 Firefox/16.0
Build ID: 20121024073032

Steps to reproduce:

1 . Using list to enter members of an appointment in lightning
2. removing Members form an appointment


Actual results:

1. only the first name of the list will be entered. 
2. The Member could not be removed - OK - will not work in the dialog


Expected results:

1.The whole list ist normaly entered in the schedule atendee list. 
2. The attendee will removed, after - OK - the schedule will be saved.
Comment 1 Stefan Sitter 2012-11-27 09:33:06 PST
Might be a duplicate of Bug 815568. Do you agree?
Comment 2 Werner Huppertz 2012-11-27 21:35:52 PST
Yes it is the same behvior. But a second bug is detected, lists do not work, only first list member is added.
Comment 3 Philipp Kewisch [:Fallen] 2012-11-29 04:48:22 PST
Werner, are you comfortable with applying patches or testing nightly builds? If so, could you either apply the patch in bug 815568 or wait for tomorrow's nightly builds and test them to see if your issue still exists?
Comment 4 Stefan Sitter 2012-12-01 10:36:56 PST
*** Bug 817314 has been marked as a duplicate of this bug. ***
Comment 5 Stefan Sitter 2012-12-03 23:55:21 PST
*** Bug 817953 has been marked as a duplicate of this bug. ***
Comment 6 Stefan Sitter 2012-12-03 23:56:49 PST
Confirming based on the duplicated reports.
Comment 7 Stefan Sitter 2013-01-09 05:31:59 PST
*** Bug 828273 has been marked as a duplicate of this bug. ***
Comment 8 Stefan Sitter 2013-01-10 01:40:55 PST
*** Bug 828551 has been marked as a duplicate of this bug. ***
Comment 9 Stefan Sitter 2013-01-10 01:46:10 PST
The patch mentioned in comment 3 landed in Lightning 2.0. Maybe someone could test if the problem still exists using one of the Thunderbird + Lightning test build combination listed in https://developer.mozilla.org/en-US/docs/Calendar/Calendar_Versions#Development_Snapshots
Comment 10 Phil Davis 2013-01-26 09:22:14 PST
I tried all the following TB+Lightning combinations:
17.0.2 + 1.9
18.0b1 + 2.0b1
19.0b1 + 2.1b1
20.0a2 + 2.2a2
Bug 1 is a problem in all these versions - I type a distribution list name when inviting attendees and press return. Only the first member of the distribution list is added to the attendee list.
Bug 2 - Removing members from an appointment - this worked for me in all the above versions. The OP listed 16.0, so perhaps this issue was fixed in 17.0.2+1.9?
Comment 11 Decathlon 2013-02-05 08:48:22 PST
Created attachment 710226 [details] [diff] [review]
patch - v1

In the code there's a variable with a wrong name.
As far as I can see this patch fixes without other to add.
Comment 12 Phil Davis 2013-02-06 07:16:10 PST
When I make the 1-line change to calendar-event-dialog-attendees.xml from 710226 (by hand[editing the appropriate line of the Lightning 1.9 addon code in my TB profile) it fixes the issue:
1 . Using list to enter members of an appointment in lightning
So this fix will backporrt very easily, if a Lightning bugfix release is done to go with the Thunderbird 17.0.n official release sequence.
Comment 13 Matthew Mecca [:mmecca] 2013-02-06 20:16:58 PST
Comment on attachment 710226 [details] [diff] [review]
patch - v1

Looks good, I think we should take this for 1.9.1
Comment 14 Matthew Mecca [:mmecca] 2013-02-06 20:47:48 PST
Pushed to comm-central - https://hg.mozilla.org/comm-central/rev/6c463991fbfe
Comment 16 Matthew Mecca [:mmecca] 2013-02-08 15:50:22 PST
comm-esr17 - https://hg.mozilla.org/releases/comm-esr17/rev/48a7e6a5f754
Comment 17 Gustavo Homem 2013-07-02 10:32:08 PDT
Hi,

This is bug marked as RESOLVED, but which versions of thunderbird have it resolved?

The problem still happens on 

thunderbird  17.0.7+build1-0ubuntu0.12.04.1

installed today.

Best regards
Comment 18 Stefan Sitter 2013-07-02 10:35:18 PDT
It is fixed in Lightning 1.9.1 that was released on March 6, 2013. Maybe you are still using Lightning 1.9?
Comment 19 Gustavo Homem 2013-07-02 14:56:59 PDT
Stefan, you are right. I'm using Lightning 1.9.

Thanks for your comment. I will upgrade and report back.
Comment 20 Gustavo Homem 2013-07-03 12:57:04 PDT
It is indeed fixed on Lightning 1.9.1 (tested with Thunderbird 17.0.7) Thanks again.

Note You need to log in before you can comment on or make changes to this bug.